Source: android-platform-build
Section: devel
Priority: optional
Maintainer: Android Tools Maintainers <android-tools-devel@lists.alioth.debian.org>
Uploaders: Kai-Chung Yan <seamlik@debian.org>,
           Chirayu Desai <chirayudesai1@gmail.com>
Build-Depends:
 debhelper-compat (= 12),
 javahelper
Build-Depends-Arch:
 android-libandroidfw-dev (>= 1:10.0.0+r36~),
 android-libbase-dev (>= 1:10.0.0+r36~),
 android-liblog-dev (>= 1:10.0.0+r36~),
 android-libutils-dev (>= 1:10.0.0+r36~),
 android-libziparchive-dev (>= 1:10.0.0+r36~),
 libzopfli-dev (>= 1.0.1-3),
 zlib1g-dev
Build-Depends-Indep:
 default-jdk-headless | default-jdk,
 libapksig-java (>= 30.0.3-3~),
 libbcpkix-java,
 libbcprov-java
Standards-Version: 4.4.0
Homepage: https://android.googlesource.com/platform/build
Vcs-Git: https://salsa.debian.org/android-tools-team/android-platform-build.git
Vcs-Browser: https://salsa.debian.org/android-tools-team/android-platform-build

Package: makeparallel
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Command line tool for communication with the GNU make jobserver
 makeparallel communicates with the GNU make jobserver
 in order to claim all available jobs, and then passes the number of jobs
 claimed to a subprocess with -j<jobs>.

Package: zipalign
Architecture: amd64 i386 armel armhf arm64 mips mipsel mips64el
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Zip archive alignment tool
 zipalign is an archive alignment tool that provides important optimization to
 Android application (.apk) files. The purpose is to ensure that all
 uncompressed data starts with a particular alignment relative to the start of
 the file.

Package: ziptime
Architecture: amd64 i386 armel armhf arm64 mips mipsel mips64el
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Zip archive timestamp remover
 ziptime normalizes the timestamps in the header of a Zip file.  It
 was created as part of the Android SDK to help make reproducible
 builds of Android application (.apk) files. It replaces all
 timestamps in the Zip headers with a static time (Jan 1 2008). The
 extra fields are not changed, so you'll need to use the -X option to
 zip so that it doesn't create the 'universal time' extra.

Package: signapk
Architecture: all
Depends: ${java:Depends}, ${misc:Depends}
Description: Command line tool for signing Android ZIP/JAR/APK
 signapk is a command line tool for signing ZIP files, including JARs,
 APKs, and Over-The-Air (OTA) updates, in a way compatible with
 Android's mincrypt verifier, using EC or RSA keys and SHA1 or
 SHA-256. The tool can additionally sign APKs using APK Signature
 Scheme v2. It is the standard tool used to sign APK and JAR files
 distributed as part of Android ROMs.

Package: signtos
Architecture: all
Depends: ${java:Depends}, ${misc:Depends}
Description: Android signing tool for signing Trusty images
 Signs ARM Trusty images for use with operating systems that support
 it. Trusty is a set of software components supporting a Trusted
 Execution Environment (TEE) on mobile devices.  The key must be
 stored in PKCS8 format.

Package: android-logtags-tools
Architecture: all
Depends:
 ${misc:Depends},
 python3
Description: Tools from AOSP that process event-log-tags files
 This package contains Python scripts from AOSP repository platform/build that
 process event-log-tags (.logtags) files. It contains:
   * java-event-log-tags
   * merge-event-log-tags
 They are used in the process of building the Android platform framework
 "android.jar".
